Get connection status

gethttps://api.expiryedge.com/v1/integrations/{provider}/status
any role60/min
Anfrage
curl 'https://api.expiryedge.com/v1/integrations/asana/status' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY"
Antwort
{
  "connected": true,
  "enabled": true,
  "connected_at": "2026-09-27T14:05:00.000Z",
  "asana_user_name": "Dana Whitfield",
  "asana_user_email": "dana@northwinddental.com",
  "workspaces": [
    {
      "gid": "1200000000000001",
      "name": "Northwind Dental"
    }
  ]
}

Pfadparameter

  • providerstringerforderlich
    Integration provider.
    Erlaubtasanaclickup

Rückgabe

200
Status for the caller's organization.
  • connectedbooleanerforderlich
  • enabledboolean
  • connected_atstring
    ISO 8601 date-time string (UTC). Formerly a raw Firestore Timestamp.
    format: date-time

Fehler

400
The request is missing required fields or contains invalid values.
401
Missing, expired or invalid bearer token.
404
Unknown provider.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.